Subject: Re: bug#41624: 28.0.50; wdired-change-to-wdired-mode sometimes infloops

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 23 Oct 2020 13:22:20 +0200

Michael Heerdegen <[email-masked]> writes:

> I can't answer that, but I can tell that when I manually delete the last
> lines of text and whitespace in such a buffer (saying "find finished
> ..."), it works as expected (though I'm getting a message saying that "1
> rename actions failed").  But I'm definitely able to change permissions
> with wdired then.  So it seems possible to make the feature work, the
> infloop results from the unsuitable termination condition of the loop in
> `wdired-preprocess-perms'.

If even renaming doesn't work, then it does sound like this was never
supposed to be a command that's applicable to dired-find buffers, I
think?

On the other hand, if this did work, then it'd be pretty nice.  But it
sounds less like a bug fix and more like a new feature.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no